Subject: [PATCH 5.7.x] RE: perl-5.6.1 DB_file support
From: "Paul Marquess" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: "Reini Urban" <[email-masked]>, <[email-masked]>
Date: Mon, 15 Jan 2001 20:02:12 -0000

I've a feeling this may not be ok to make use of ls like I do in the patch
enclosed, but it does get perl to check the new default locations for db.h
and libdb.a

Paul

> -----Original Message-----
> From: Paul Marquess [mailto:[email-masked]]
> Sent: 08 January 2001 17:41
> To: Reini Urban; [email-masked]; [email-masked]
> Subject: RE: perl-5.6.1 DB_file support
>
>
> From: Reini Urban [mailto:[email-masked]]
>
> thanks for the feedback.
>
> ...
> >
> > And the DB_File patch for perl, tested with db-3.2.3f:
> > One could also copy the three db headers to /usr/include, but the
> > installer leaves them in /usr/local/BerkeleyDB.3.2/include
> >
> >
> > 2001-01-08 02:40:33 rurban
> >   * support latest BerkeleyDB.3.2 paths
> >
> > --- perl-5.6.1-1/ext/DB_File/Makefile.PL~	Mon Oct 16 09:12:44 2000
> > +++ perl-5.6.1-1/ext/DB_File/Makefile.PL	Mon Jan  8 03:38:00 2001
> > @@ -10,14 +10,13 @@
> >
> >  WriteMakefile(
> >  	NAME 		=> 'DB_File',
> > -	LIBS 		=> ["-L/usr/local/lib $LIB"],
> > +	LIBS 		=> ["-L/usr/local/lib
> > -L/usr/local/BerkeleyDB.3.2/lib $LIB"],
> >          MAN3PODS        => {},         # Pods will be built by
> > installman.
> > -	#INC		=> '-I/usr/local/include',
> >  	VERSION_FROM	=> 'DB_File.pm',
> >  	OBJECT		=> 'version$(OBJ_EXT) DB_File$(OBJ_EXT)',
> >  	XSPROTOARG	=> '-noprototypes',
> >  	DEFINE		=> $OS2 || "",
> > -	INC => ($^O eq "MacOS" ? "-i ::::db:include" : "")
> > +	INC => ($^O eq "MacOS" ? "-i ::::db:include" :
> > "-I/usr/local/BerkeleyDB.3.2/include")
> >  	);
> >
> >  sub MY::postamble {
> > --- perl-5.6.1-1/ext/DB_File/hints/cygwin.pl~	Mon Jan  8
> 03:54:56 2001
> > +++ perl-5.6.1-1/ext/DB_File/hints/cygwin.pl	Mon Jan  8
> 03:51:02 2001
> > @@ -0,0 +1,3 @@
> > +# latest BerkeleyDB.3.2 from
> > +$self->{LIBS} = ['-ldb -L/usr/local/lib
> > -L/usr/local/BerkeleyDB.3.2/lib'];
>
> Should that not be
>
>  $self->{LIBS} = ['-L/usr/local/lib -L/usr/local/BerkeleyDB.3.2/lib -ldb']
>
> i.e. the -L before the -l
>
> > +$self->{INC} => ["-I/usr/local/BerkeleyDB.3.2/include"];
>
> Could you try with only the hints/cygwin.pl change? I don't think
> you should
> need the change to Makefile.PL as well.
>
> Hmmm, thinking about this a bit more, I don't think that either
> hints/cygwin.pl or Makefile.PL file is the correct place for this change.
> The /usr/local/BerkeleyDB.x.y directory prefix is the default location for
> installing recent versions of Berkeley DB on all unix-like architectures.
> Configure needs to be changed to get it to know about
> /usr/local/BerkeleyDB.x.y/lib and
> /usr/local/BerkeleyDB.x.y/include. Rather
> than hard-wiring paths with version numbers (like
> /usr/local/BerkeleyDB.3.2)
> it would be better if Configure could detect what was there
> itself. If I get
> the time, I'll have a look at it.
>
> Regarding the DB_File tests that are failing for you. Berkeley DB
> 3.2 isn't
> officially released yet. The pre-release version I have (which is more
> recent than yours) has known problems that make DB_File fail some tests. I
> don't intend digging for problems at my end until the Sleepycat
> folk have a
> stable 3.2 for me to play with.
>
> NOTE: check both /usr/local/BerkeleyDB/[lib|include]
>       and /usr/local/BerkeleyDB.x.y/[lib|include]
>
> Paul
>
>
> __________________________________________________
> Do You Yahoo!?
> Talk to your friends online with Yahoo! Messenger.
> http://im.yahoo.com
>
--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple